package sgc.portal.base.storage;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * 일반적인 디렉토리 패스 체계를 생성한다.
 *
 * @author YongSang
 * @version 1.0.0
 * @since 2020. 9. 5.
 */
public class DefaultSubpath implements Subpath {
    private final String[] subpath;

    /**
     * Instantiates a new Default subpath.
     *
     * @param others the others
     */
    public DefaultSubpath(String... others) {
        subpath = others.clone();
    }

    @Override
    public List<String> resolve() {
        return new ArrayList<>(Arrays.asList(subpath));
    }
}